## Utility functions for SAML 2.0

Utility functions for SAML 2.0 — Misc functions used inside Lasso

## Stability Level

Internal, unless otherwise indicated

## Functions

char * | lasso_build_unique_id ()
gboolean | lasso_profile_is_saml_query ()
LassoSaml2EncryptedElement * | lasso_provider_saml2_node_encrypt ()

## Description

## Functions

### lasso_build_unique_id ()

    char *
    lasso_build_unique_id (unsigned int size);

Builds an ID which has an unicity probability of 2^(-size*4).

#### Parameters

size | the ID's length (between 32 and 40) |

#### Returns

a "unique" ID (begin always with _ character).

[transfer full]

### lasso_profile_is_saml_query ()

    gboolean
    lasso_profile_is_saml_query (const gchar *query);

### lasso_provider_saml2_node_encrypt ()

    LassoSaml2EncryptedElement *
    lasso_provider_saml2_node_encrypt (const LassoProvider *provider,
                                       LassoNode *lasso_node);

Dump the node object to an XML fragment, then encrypt this fragment using encryption key of `provider` , then encapsulate the resulting encrypted content into a LassoSaml2EncryptedElement.

#### Parameters

provider | a LassoProvider object |
lasso_node | a LassoNode object |

#### Returns

a newly created LassoSaml2EncryptedElement if successfull, NULL otherwise.